%define upstream_name    Net-OpenID-Server
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Library for building your own OpenID server
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::OpenID::Common) >= 1.110.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
This is the Perl API for (the server half of) OpenID, a distributed
identity system based on proving you own a URL, which is then your
identity. More information is available at:

  http://openid.net/

As of version 1.01 this module has support for both OpenID 1.1 and 2.0.
Prior to this, only 1.1 was supported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.90.0-8.mga6
+ Revision: 1031233
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.90.0-7.mga6
+ Revision: 949537
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.90.0-6.mga5
+ Revision: 790018
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.90.0-5.mga5
+ Revision: 744939
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.90.0-4.mga5
+ Revision: 685698
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.90.0-3.mga4
+ Revision: 513539
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 370764
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 jquelin <jquelin> 1.90.0-1.mga2
+ Revision: 168732
- update to 1.09

* Sat Jan 22 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 32253
- mageia rebuild
- imported package perl-Net-OpenID-Server


* Wed Aug 25 2010 Shlomi Fish <shlomif@mandriva.org> 1.20.0-1mdv2011.0
+ Revision: 573359
- import perl-Net-OpenID-Server

